<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ApplicationUtilities/Resources/Audio/include/Audio/CommunicationsAudioFactory.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li><li class="navelem"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a></li><li class="navelem"><a class="el" href="dir_3d91e97c9556b93865bb7c5dee8d4e5e.html">Audio</a></li><li class="navelem"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a></li><li class="navelem"><a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CommunicationsAudioFactory.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_communications_audio_factory_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_APPLICATIONUTILITIES_RESOURCES_AUDIO_INCLUDE_AUDIO_COMMUNICATIONSAUDIOFACTORY_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_APPLICATIONUTILITIES_RESOURCES_AUDIO_INCLUDE_AUDIO_COMMUNICATIONSAUDIOFACTORY_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_communications_audio_factory_interface_8h.html">AVSCommon/SDKInterfaces/Audio/CommunicationsAudioFactoryInterface.h</a>&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>applicationUtilities {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>resources {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>audio {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html">CommunicationsAudioFactory</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_communications_audio_factory_interface.html">avsCommon::sdkInterfaces::audio::CommunicationsAudioFactoryInterface</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    std::function&lt;std::unique_ptr&lt;std::istream&gt;()&gt; <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#ac2a39df81d5c9b6833db79383a8d44d6">callConnectedRingtone</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    std::function&lt;std::unique_ptr&lt;std::istream&gt;()&gt; <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#a54468269a8c166b71c7010a5c96d8766">callDisconnectedRingtone</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    std::function&lt;std::unique_ptr&lt;std::istream&gt;()&gt; <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#a171c9ae5c58c002344c2c2ccc32271b1">outboundRingtone</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    std::function&lt;std::unique_ptr&lt;std::istream&gt;()&gt; <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#a53fdbe8a7e6987f68c162ce6202d8ceb">dropInConnectedRingtone</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    std::function&lt;std::unique_ptr&lt;std::istream&gt;()&gt; <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#ad90a6831c6a4780622ccd9301b3bd3b9">callIncomingRingtone</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;};</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;}  <span class="comment">// namespace audio</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;}  <span class="comment">// namespace resources</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;}  <span class="comment">// namespace applicationUtilities</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_APPLICATIONUTILITIES_RESOURCES_AUDIO_INCLUDE_AUDIO_COMMUNICATIONSAUDIOFACTORY_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory_html_ac2a39df81d5c9b6833db79383a8d44d6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#ac2a39df81d5c9b6833db79383a8d44d6">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory::callConnectedRingtone</a></div><div class="ttdeci">std::function&lt; std::unique_ptr&lt; std::istream &gt;)&gt; callConnectedRingtone() const override</div><div class="ttdef"><b>Definition:</b> CommunicationsAudioFactory.cpp:56</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory_html_a54468269a8c166b71c7010a5c96d8766"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#a54468269a8c166b71c7010a5c96d8766">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory::callDisconnectedRingtone</a></div><div class="ttdeci">std::function&lt; std::unique_ptr&lt; std::istream &gt;)&gt; callDisconnectedRingtone() const override</div><div class="ttdef"><b>Definition:</b> CommunicationsAudioFactory.cpp:60</div></div>
<div class="ttc" id="_communications_audio_factory_interface_8h_html"><div class="ttname"><a href="_communications_audio_factory_interface_8h.html">CommunicationsAudioFactoryInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory_html_a53fdbe8a7e6987f68c162ce6202d8ceb"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#a53fdbe8a7e6987f68c162ce6202d8ceb">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory::dropInConnectedRingtone</a></div><div class="ttdeci">std::function&lt; std::unique_ptr&lt; std::istream &gt;)&gt; dropInConnectedRingtone() const override</div><div class="ttdef"><b>Definition:</b> CommunicationsAudioFactory.cpp:68</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_communications_audio_factory_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_communications_audio_factory_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::CommunicationsAudioFactoryInterface</a></div><div class="ttdef"><b>Definition:</b> CommunicationsAudioFactoryInterface.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory</a></div><div class="ttdef"><b>Definition:</b> CommunicationsAudioFactory.h:29</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory_html_ad90a6831c6a4780622ccd9301b3bd3b9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#ad90a6831c6a4780622ccd9301b3bd3b9">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory::callIncomingRingtone</a></div><div class="ttdeci">std::function&lt; std::unique_ptr&lt; std::istream &gt;)&gt; callIncomingRingtone() const override</div><div class="ttdef"><b>Definition:</b> CommunicationsAudioFactory.cpp:72</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory_html_a171c9ae5c58c002344c2c2ccc32271b1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_communications_audio_factory.html#a171c9ae5c58c002344c2c2ccc32271b1">alexaClientSDK::applicationUtilities::resources::audio::CommunicationsAudioFactory::outboundRingtone</a></div><div class="ttdeci">std::function&lt; std::unique_ptr&lt; std::istream &gt;)&gt; outboundRingtone() const override</div><div class="ttdef"><b>Definition:</b> CommunicationsAudioFactory.cpp:64</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
